# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-postgres
Version: 0.7.9.2008.01.28
Release: alt1

Summary: PostgreSQL extension for Ruby
License: GPL
Group: Development/Ruby
Url: http://rubyforge.org/projects/ruby-pg/

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Wed Apr 09 2008 (-bi)
BuildRequires: libruby-devel postgresql-devel ruby-module-etc

%description
This is the extension library to access a PostgreSQL database
from Ruby. This library works with PostgreSQL 6.4-8.x; it
probably works with 6.3 or earlier with slight modification,
but not tested at all.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q
%patch -p1

%build
pushd ext
%ruby_configure
%make_build
popd

%install
pushd ext
%make_install DESTDIR=%buildroot install
%rdoc postgres.c
popd

%files
%doc README README.ja ChangeLog doc sample
%ruby_sitearchdir/*

%files doc
%ruby_ri_sitedir/PG*

%changelog
* Sun Aug 31 2008 Sir Raorn <raorn@altlinux.ru> 0.7.9.2008.01.28-alt1
- [0.7.9.2008.01.28]

* Wed Apr 09 2008 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt5
- 2006-04-06 Snapshot

* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.1-alt4.20051221.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Wed Sep 06 2006 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt4.20051221
- Snapshot 20051221
 + fixed PGrow initialization

* Wed Dec 21 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt4.20051220
- Snapshot 20051220

* Sat Aug 27 2005 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt3.20050412
- Snapshot 20050412
- SSL support
- Removed summary/description translations (use specspo)
- Added ri documentation

* Sun Jul 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.7.1-alt2
- Rebuild against Ruby 1.8-alt3

* Wed Jan 08 2003 Sir Raorn <raorn@altlinux.ru> 0.7.1-alt1
- [0.7.1]

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.7.0-alt2
- Rebuild with new FHS-compliant Ruby package

* Thu Oct 17 2002 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.0]

* Wed Oct 16 2002 Sir Raorn <raorn@altlinux.ru> 0.6.5-alt2
- Added missing samples to docs

* Fri Oct 11 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.6.5-alt1.1
- added BuildRequires, Packager & description in russian

* Wed Oct 02 2002 Sir Raorn <raorn@altlinux.ru> 0.6.5-alt1
- Built for Sisyphus

